[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
AI Challenge Forums • View topic - [New Language] Groovy starter package

It is currently Tue Apr 24, 2018 4:06 pm Advanced search

[New Language] Groovy starter package

Code won't compile? Found a bug? Post here!

[New Language] Groovy starter package

Postby arsjds » Thu Sep 23, 2010 12:38 am

Here is a Groovy starter package. It contains the minimum files required and is almost exactly identical to the Java starter package.

Please let me know if there is anything that I can do to make Groovy a supported language.

I am working on getting the example bots done. But really, changing the file extensions of the existing Java example bots to .groovy should do the trick.

UPDATE: A new, more complete, starter package is available.
Last edited by arsjds on Sun Sep 26, 2010 2:23 am, edited 1 time in total.
arsjds
Cadet
 
Posts: 6
Joined: Sun Sep 19, 2010 3:06 am

Re: [New Language] Groovy starter package

Postby arsjds » Fri Sep 24, 2010 9:52 pm

I will create a complete starter package this weekend. It will include maps, example bots, and the tools.

That should do it.
arsjds
Cadet
 
Posts: 6
Joined: Sun Sep 19, 2010 3:06 am

Re: [New Language] Groovy starter package

Postby arsjds » Sun Sep 26, 2010 2:21 am

I have uploaded a new and complete Groovy starter package. It includes the directories maps, tools, and example_bots.

I have made a change in the way stdin is read which required a change in the signature of PlanetWars' constructor and in the method ParseGameState. Otherwise, it is identical to the Java starter package.

----Obtaining and Installing Groovy on the Server

There is a deb package which can be obtained from Groovy's home at http://dist.groovy.codehaus.org/distrib ... -1_all.deb

If this fails then use the default groovy package that is already available in the Ubuntu repositories. Just "apt-get install groovy".

Groovy is a JVM language and therefore it requires that Java be installed.

---Compiling and Executing Groovy

There is no need to compile Groovy. Simply run "groovy MyBot.groovy" in the directory where the other files of the submmision are located.

That is it!
Attachments
GroovyStarterPackage.zip
Complete starter package
(1.04 MiB) Downloaded 129 times
arsjds
Cadet
 
Posts: 6
Joined: Sun Sep 19, 2010 3:06 am

Re: [New Language] Groovy starter package

Postby seidaku » Wed Nov 24, 2010 7:14 pm

seidaku
Cadet
 
Posts: 1
Joined: Wed Nov 24, 2010 7:11 pm


Return to Technical Issues

Who is online

Users browsing this forum: No registered users and 1 guest

cron